質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

91.34%

  • Ruby

    5184questions

    Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

  • Ruby on Rails

    5066questions

    Ruby on Railsは、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。

急にrails new でアプリを作成することができなくなった

受付中

回答 0

投稿 2017/11/22 06:23

  • 評価
  • クリップ 0
  • VIEW 54

kingmaster

score 1

rails new XXXでアプリを作ろうとすると以下のようなコードが出ます

The dependency tzinfo-data (>= 0) will be unused by any of the platforms Bundler is installing for. Bundler is installing for ruby but the dependency is only for x86-mingw32, x86-mswin32, x64-mingw32, java. To add those platforms to the bundle, run bundle lock --add-platform x86-mingw32 x86-mswin32 x64-mingw32 java.
Fetching source index from https://rubygems.org/

Retrying fetcher due to error (2/4): Bundler::HTTPError Could not fetch specs from https://rubygems.org/
Retrying fetcher due to error (3/4): Bundler::HTTPError Could not fetch specs from https://rubygems.org/
Retrying fetcher due to error (4/4): Bundler::HTTPError Could not fetch specs from https://rubygems.org/
Could not fetch specs from https://rubygems.org/
run  bundle exec spring binstub --all
Could not find gem 'coffee-rails (~> 4.2)' in any of the gem sources listed in your Gemfile.
Run bundle install to install missing gems.

2週間前は普通に製作することができました。
何がいけないのでしょうか
様々なディレクトリで bundle init と bundle install と 指定されているコマンドを試しましたが駄目でした。
使用しているOSはubuntuです。
よろしくお願いします。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正の依頼

  • CHERRY

    2017/11/22 13:33

    お使いの環境を詳しく記載していただけないでしょうか? ubuntu は、仮想環境でしょうか? ubuntu からは、インターネットに接続できますか?

    キャンセル

  • gouf

    2017/11/22 16:46

    PC を再起動させても変化ありませんか? : [Vagrant上のRailsプロジェクトでbundle installするとrubygems.orgでエラー - Qiita]( https://qiita.com/roki1801/items/1665709a66ceb94987ea )

    キャンセル

まだ回答がついていません

15分調べてもわからないことは、teratailで質問しよう!

ただいまの回答率

91.34%

関連した質問

  • 解決済

    gemのgithub_apiを使いたいのにエラーで使えない

    gemのgithub_apiを使いたいのですがNameError: uninitialized constant Githubとなって、使うことが出来ません。gem i githu

  • 解決済

    nokogiriが原因でbundle installが通らない

    環境 CentOS6.6ruby 2.1.2rails 4.2.0 内容 1日中、悩んだのですが、完全に詰まってしまい、もうどうにも出来なくなってしまいました。 どなたか助けて頂け

  • 受付中

    rubygems1.x系をインストールしたい

    OpenFlowを勉強しようと思ってUbuntu14.04LTSでTremaをインストールしようとしています。端末で次のように入力してインストールしようとしましたがエラーになりまし

  • 解決済

    Rails環境構築におけるbundleエラー発生について

    bundle installを実行した際にエラーが発生してしまうのでこちらを解消したいです。 実際には以下のエラーメッセージが発生します。 An error occur

  • 受付中

    railsサーバーが起動しない

    前提・実現したいこと ここに質問したいことを詳細に書いてください コマンドプロントから、rails server を起動したいです。 puma (~> 3.0) がググるがよ

  • 解決済

    [Ruby on Rails]bundle install でのエラー解決方法

    bundle install でエラー Railsチュートリアルを行っている最中なのですが、 下記エラーが発生し困っております。 解決方法をググって色々探し、試してみたの

  • 解決済

    Mastodonインストール時に"rake secret"でエラーが発生する

    お世話になっております。 前提・実現したいこと minimalインストールしたcentos7にMastodonを構築しています。 こちらのqiita記事にしたがって操作し

  • 解決済

    windowsにてbundlerが使えない

    windowsにてbundlerでgemを管理しようとしましたが、該当のgemはないとエラーが出ます。 CentOSで試したところ、ちゃんとロードされました。 解決方法はないでしょ

同じタグがついた質問を見る

  • Ruby

    5184questions

    Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

  • Ruby on Rails

    5066questions

    Ruby on Railsは、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。